ONVIF::Media::Types::IntRectangleRange(3pm)

NAME
ONVIF::Media::Types::IntRectangleRange

DESCRIPTION
Perl data type class for the XML Schema defined complexType IntRectangleRange from the namespace http://www.onvif.org/ver10/schema.

Range of a rectangle. The rectangle itself is defined by lower left corner position and size. Units are pixel.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   XRange

•   YRange

•   WidthRange

•   HeightRange

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::IntRectangleRange
   XRange =>  { # ONVIF::Media::Types::IntRange
     Min =>  $some_value, # int
     Max =>  $some_value, # int
   },
   YRange =>  { # ONVIF::Media::Types::IntRange
     Min =>  $some_value, # int
     Max =>  $some_value, # int
   },
   WidthRange =>  { # ONVIF::Media::Types::IntRange
     Min =>  $some_value, # int
     Max =>  $some_value, # int
   },
   HeightRange =>  { # ONVIF::Media::Types::IntRange
     Min =>  $some_value, # int
     Max =>  $some_value, # int
   },
 },

AUTHOR
Generated by SOAP::WSDL